var convict = require('convict');

var config = convict({
    generic: {
        baseUrl: {
            doc:    'The generic API base url.',
            default: 'https://api.generic.com',
            format:  String,
            env:     'GITHUB_BASE_URL'
        },
        token: {
            doc:    'The generic API token.',
            default: '',
            format:  String,
            env:     'GITHUB_API_TOKEN'
        }
    }
});

module.exports = config;